# Cropbox

## What is Cropbox?

Cropbox is a declarative modeling framework specifically designed for developing crop models. The goal is to let crop modelers focus on *what* the model should look like rather than *how* the model is technically implemented under the hood.

## Getting started

* Read the [Installation](@ref Installation).
* Read the [Tutorials](@ref Julia).
* Read the [Manual](@ref System).
* Check out the [Cropbox Tutorial](https://github.com/cropbox/cropbox-tutorial-KSAFM2020) presented at the [KSAFM](http://www.ksafm.org/en/) 2020 Workshop
* Check out the course material for [SEFS 508](https://github.com/uwkimlab/plant_modeling), a plant modeling course at the University of Washington.
* Check out the [Gallery](@ref Gallery) to see what others have done with the Cropbox framework.

## Citation

When using Cropbox in your work, please cite the following paper:

```
Yun K, Kim S-H (2023) Cropbox: a declarative crop modelling framework. in silico Plants 5(1), diac021 (https://doi.org/10.1093/insilicoplants/diac021)
```
